export const PageComponents = {
    install(Vue: any, opt: any) {
                Vue.component('hrcertificate-edit-view', () => import('@pages/human-resource/hrcertificate-edit-view/hrcertificate-edit-view.vue'));
        Vue.component('hrreward-grid-view', () => import('@pages/human-resource/hrreward-grid-view/hrreward-grid-view.vue'));
        Vue.component('hrpost-v-004', () => import('@pages/human-resource/hrpost-v-004/hrpost-v-004.vue'));
        Vue.component('hrarchives-move-v-002', () => import('@pages/human-resource/hrarchives-move-v-002/hrarchives-move-v-002.vue'));
        Vue.component('hrduty-v-001', () => import('@pages/human-resource/hrduty-v-001/hrduty-v-001.vue'));
        Vue.component('hrcontract-v-001', () => import('@pages/human-resource/hrcontract-v-001/hrcontract-v-001.vue'));
        Vue.component('hromhierarchy-cat-tab-exp-view', () => import('@pages/base/hromhierarchy-cat-tab-exp-view/hromhierarchy-cat-tab-exp-view.vue'));
        Vue.component('hrlanguage-ability-edit-view', () => import('@pages/human-resource/hrlanguage-ability-edit-view/hrlanguage-ability-edit-view.vue'));
        Vue.component('hrtechnical-title-v-001', () => import('@pages/human-resource/hrtechnical-title-v-001/hrtechnical-title-v-001.vue'));
        Vue.component('hroperation-unit-v-001', () => import('@pages/base/hroperation-unit-v-001/hroperation-unit-v-001.vue'));
        Vue.component('hrcertificate-v-002', () => import('@pages/human-resource/hrcertificate-v-002/hrcertificate-v-002.vue'));
        Vue.component('hrduty-pickup-grid-view', () => import('@pages/human-resource/hrduty-pickup-grid-view/hrduty-pickup-grid-view.vue'));
        Vue.component('hrarchives-borrow-grid-view', () => import('@pages/human-resource/hrarchives-borrow-grid-view/hrarchives-borrow-grid-view.vue'));
        Vue.component('hrcontract-v-003', () => import('@pages/human-resource/hrcontract-v-003/hrcontract-v-003.vue'));
        Vue.component('hroperation-unit-v-002', () => import('@pages/base/hroperation-unit-v-002/hroperation-unit-v-002.vue'));
        Vue.component('hrtechnical-title-v-002', () => import('@pages/human-resource/hrtechnical-title-v-002/hrtechnical-title-v-002.vue'));
        Vue.component('hrpost-rel-v-002', () => import('@pages/human-resource/hrpost-rel-v-002/hrpost-rel-v-002.vue'));
        Vue.component('hrarchives-v-009', () => import('@pages/human-resource/hrarchives-v-009/hrarchives-v-009.vue'));
        Vue.component('hremployee-pickup-grid-view', () => import('@pages/human-resource/hremployee-pickup-grid-view/hremployee-pickup-grid-view.vue'));
        Vue.component('hrcontract-grid-view', () => import('@pages/human-resource/hrcontract-grid-view/hrcontract-grid-view.vue'));
        Vue.component('hrarchives-v-002', () => import('@pages/human-resource/hrarchives-v-002/hrarchives-v-002.vue'));
        Vue.component('hromhierarchy-tree-exp-view', () => import('@pages/base/hromhierarchy-tree-exp-view/hromhierarchy-tree-exp-view.vue'));
        Vue.component('hrlegal-grid-view', () => import('@pages/base/hrlegal-grid-view/hrlegal-grid-view.vue'));
        Vue.component('hrpost-v-006', () => import('@pages/human-resource/hrpost-v-006/hrpost-v-006.vue'));
        Vue.component('hrlegal-v-002', () => import('@pages/base/hrlegal-v-002/hrlegal-v-002.vue'));
        Vue.component('hrcertificate-v-006', () => import('@pages/human-resource/hrcertificate-v-006/hrcertificate-v-006.vue'));
        Vue.component('hrcontract-tab-exp-view', () => import('@pages/human-resource/hrcontract-tab-exp-view/hrcontract-tab-exp-view.vue'));
        Vue.component('hremployee-v-003', () => import('@pages/human-resource/hremployee-v-003/hremployee-v-003.vue'));
        Vue.component('hrduty-tab-exp-view', () => import('@pages/human-resource/hrduty-tab-exp-view/hrduty-tab-exp-view.vue'));
        Vue.component('hrpost-pickup-view', () => import('@pages/human-resource/hrpost-pickup-view/hrpost-pickup-view.vue'));
        Vue.component('hrarchives-v-006', () => import('@pages/human-resource/hrarchives-v-006/hrarchives-v-006.vue'));
        Vue.component('hrorganization-pickup-grid-view', () => import('@pages/base/hrorganization-pickup-grid-view/hrorganization-pickup-grid-view.vue'));
        Vue.component('hrpost-pickup-grid-view', () => import('@pages/human-resource/hrpost-pickup-grid-view/hrpost-pickup-grid-view.vue'));
        Vue.component('hrcontract-v-002', () => import('@pages/human-resource/hrcontract-v-002/hrcontract-v-002.vue'));
        Vue.component('hrduty-edu-v-001', () => import('@pages/human-resource/hrduty-edu-v-001/hrduty-edu-v-001.vue'));
        Vue.component('hrarchives-grid-view', () => import('@pages/human-resource/hrarchives-grid-view/hrarchives-grid-view.vue'));
        Vue.component('hrorganization-edit-view', () => import('@pages/base/hrorganization-edit-view/hrorganization-edit-view.vue'));
        Vue.component('hromhierarchy-cat-grid-view', () => import('@pages/base/hromhierarchy-cat-grid-view/hromhierarchy-cat-grid-view.vue'));
        Vue.component('hremployee-v-001', () => import('@pages/human-resource/hremployee-v-001/hremployee-v-001.vue'));
        Vue.component('hrpost-rel-v-001', () => import('@pages/human-resource/hrpost-rel-v-001/hrpost-rel-v-001.vue'));
        Vue.component('hrarchives-borrow-v-001', () => import('@pages/human-resource/hrarchives-borrow-v-001/hrarchives-borrow-v-001.vue'));
        Vue.component('hrtransfer-apply-v-002', () => import('@pages/pcm/hrtransfer-apply-v-002/hrtransfer-apply-v-002.vue'));
        Vue.component('hrtransfer-apply-wfdyna-edit-view', () => import('@pages/pcm/hrtransfer-apply-wfdyna-edit-view/hrtransfer-apply-wfdyna-edit-view.vue'));
        Vue.component('hrresearch-grid-view', () => import('@pages/human-resource/hrresearch-grid-view/hrresearch-grid-view.vue'));
        Vue.component('hrtechnical-title-v-004', () => import('@pages/human-resource/hrtechnical-title-v-004/hrtechnical-title-v-004.vue'));
        Vue.component('hrtransfer-apply-grid-view', () => import('@pages/pcm/hrtransfer-apply-grid-view/hrtransfer-apply-grid-view.vue'));
        Vue.component('hremployee-grid-view', () => import('@pages/human-resource/hremployee-grid-view/hremployee-grid-view.vue'));
        Vue.component('hrpost-v-003', () => import('@pages/human-resource/hrpost-v-003/hrpost-v-003.vue'));
        Vue.component('hrtechnical-title-v-006', () => import('@pages/human-resource/hrtechnical-title-v-006/hrtechnical-title-v-006.vue'));
        Vue.component('hrtechnical-title-tab-exp-view', () => import('@pages/human-resource/hrtechnical-title-tab-exp-view/hrtechnical-title-tab-exp-view.vue'));
        Vue.component('hrduty-v-002', () => import('@pages/human-resource/hrduty-v-002/hrduty-v-002.vue'));
        Vue.component('hromhierarchy-cat-pickup-grid-view', () => import('@pages/base/hromhierarchy-cat-pickup-grid-view/hromhierarchy-cat-pickup-grid-view.vue'));
        Vue.component('hrtransfer-apply-dashboard-view', () => import('@pages/pcm/hrtransfer-apply-dashboard-view/hrtransfer-apply-dashboard-view.vue'));
        Vue.component('hrcontract-v-004', () => import('@pages/human-resource/hrcontract-v-004/hrcontract-v-004.vue'));
        Vue.component('hromhierarchy-cat-pickup-view', () => import('@pages/base/hromhierarchy-cat-pickup-view/hromhierarchy-cat-pickup-view.vue'));
        Vue.component('hrarchives-move-v-001', () => import('@pages/human-resource/hrarchives-move-v-001/hrarchives-move-v-001.vue'));
        Vue.component('hremployee-v-007', () => import('@pages/human-resource/hremployee-v-007/hremployee-v-007.vue'));
        Vue.component('hrtechnical-title-v-003', () => import('@pages/human-resource/hrtechnical-title-v-003/hrtechnical-title-v-003.vue'));
        Vue.component('hrpost-v-005', () => import('@pages/human-resource/hrpost-v-005/hrpost-v-005.vue'));
        Vue.component('hrlegal-edit-view', () => import('@pages/base/hrlegal-edit-view/hrlegal-edit-view.vue'));
        Vue.component('hrduty-pickup-view', () => import('@pages/human-resource/hrduty-pickup-view/hrduty-pickup-view.vue'));
        Vue.component('hrorganization-grid-view', () => import('@pages/base/hrorganization-grid-view/hrorganization-grid-view.vue'));
        Vue.component('hrtransfer-apply-wfdyna-exp-grid-view', () => import('@pages/pcm/hrtransfer-apply-wfdyna-exp-grid-view/hrtransfer-apply-wfdyna-exp-grid-view.vue'));
        Vue.component('hremployee-v-006', () => import('@pages/human-resource/hremployee-v-006/hremployee-v-006.vue'));
        Vue.component('hremployee-v-002', () => import('@pages/human-resource/hremployee-v-002/hremployee-v-002.vue'));
        Vue.component('hremployee-edit-view', () => import('@pages/human-resource/hremployee-edit-view/hremployee-edit-view.vue'));
        Vue.component('hrpost-rel-edit-view', () => import('@pages/human-resource/hrpost-rel-edit-view/hrpost-rel-edit-view.vue'));
        Vue.component('hreducation-grid-view', () => import('@pages/human-resource/hreducation-grid-view/hreducation-grid-view.vue'));
        Vue.component('hrduty-grid-view', () => import('@pages/human-resource/hrduty-grid-view/hrduty-grid-view.vue'));
        Vue.component('hrpost-edit-view', () => import('@pages/human-resource/hrpost-edit-view/hrpost-edit-view.vue'));
        Vue.component('hrduty-edu-v-002', () => import('@pages/human-resource/hrduty-edu-v-002/hrduty-edu-v-002.vue'));
        Vue.component('hremployee-pickup-view', () => import('@pages/human-resource/hremployee-pickup-view/hremployee-pickup-view.vue'));
        Vue.component('hrtransfer-apply-v-005', () => import('@pages/pcm/hrtransfer-apply-v-005/hrtransfer-apply-v-005.vue'));
        Vue.component('hroperation-unit-edit-view', () => import('@pages/base/hroperation-unit-edit-view/hroperation-unit-edit-view.vue'));
        Vue.component('hrwork-record-edit-view', () => import('@pages/human-resource/hrwork-record-edit-view/hrwork-record-edit-view.vue'));
        Vue.component('hrpost-grid-view', () => import('@pages/human-resource/hrpost-grid-view/hrpost-grid-view.vue'));
        Vue.component('hremployee-v-004', () => import('@pages/human-resource/hremployee-v-004/hremployee-v-004.vue'));
        Vue.component('hrcertificate-v-001', () => import('@pages/human-resource/hrcertificate-v-001/hrcertificate-v-001.vue'));
        Vue.component('hrcontract-v-005', () => import('@pages/human-resource/hrcontract-v-005/hrcontract-v-005.vue'));
        Vue.component('hremployee-v-005', () => import('@pages/human-resource/hremployee-v-005/hremployee-v-005.vue'));
        Vue.component('hrpost-v-002', () => import('@pages/human-resource/hrpost-v-002/hrpost-v-002.vue'));
        Vue.component('hrdistribution-edit-view', () => import('@pages/human-resource/hrdistribution-edit-view/hrdistribution-edit-view.vue'));
        Vue.component('hrduty-cert-v-002', () => import('@pages/human-resource/hrduty-cert-v-002/hrduty-cert-v-002.vue'));
        Vue.component('hrtransfer-apply-v-001', () => import('@pages/pcm/hrtransfer-apply-v-001/hrtransfer-apply-v-001.vue'));
        Vue.component('hrorg-contact-grid-view', () => import('@pages/base/hrorg-contact-grid-view/hrorg-contact-grid-view.vue'));
        Vue.component('hroperation-unit-grid-view', () => import('@pages/base/hroperation-unit-grid-view/hroperation-unit-grid-view.vue'));
        Vue.component('hrtraining-record-edit-view', () => import('@pages/human-resource/hrtraining-record-edit-view/hrtraining-record-edit-view.vue'));
        Vue.component('hrarchives-v-004', () => import('@pages/human-resource/hrarchives-v-004/hrarchives-v-004.vue'));
        Vue.component('hrorg-contact-v-001', () => import('@pages/base/hrorg-contact-v-001/hrorg-contact-v-001.vue'));
        Vue.component('hrorg-address-v-001', () => import('@pages/base/hrorg-address-v-001/hrorg-address-v-001.vue'));
        Vue.component('hrpost-v-001', () => import('@pages/human-resource/hrpost-v-001/hrpost-v-001.vue'));
        Vue.component('hromhierarchy-grid-view', () => import('@pages/base/hromhierarchy-grid-view/hromhierarchy-grid-view.vue'));
        Vue.component('hrarchives-v-008', () => import('@pages/human-resource/hrarchives-v-008/hrarchives-v-008.vue'));
        Vue.component('hrduty-cert-grid-view', () => import('@pages/human-resource/hrduty-cert-grid-view/hrduty-cert-grid-view.vue'));
        Vue.component('hrduty-skill-v-002', () => import('@pages/human-resource/hrduty-skill-v-002/hrduty-skill-v-002.vue'));
        Vue.component('hrarchives-v-007', () => import('@pages/human-resource/hrarchives-v-007/hrarchives-v-007.vue'));
        Vue.component('hremployee-tree-exp-view', () => import('@pages/human-resource/hremployee-tree-exp-view/hremployee-tree-exp-view.vue'));
        Vue.component('hrarchives-v-005', () => import('@pages/human-resource/hrarchives-v-005/hrarchives-v-005.vue'));
        Vue.component('hremployee-tab-exp-view', () => import('@pages/human-resource/hremployee-tab-exp-view/hremployee-tab-exp-view.vue'));
        Vue.component('hrcontract-edit-view', () => import('@pages/human-resource/hrcontract-edit-view/hrcontract-edit-view.vue'));
        Vue.component('hromhierarchy-cat-dashboard-view', () => import('@pages/base/hromhierarchy-cat-dashboard-view/hromhierarchy-cat-dashboard-view.vue'));
        Vue.component('hrduty-edu-grid-view', () => import('@pages/human-resource/hrduty-edu-grid-view/hrduty-edu-grid-view.vue'));
        Vue.component('hrorganization-pickup-view', () => import('@pages/base/hrorganization-pickup-view/hrorganization-pickup-view.vue'));
        Vue.component('hroperation-unit-tab-exp-view', () => import('@pages/base/hroperation-unit-tab-exp-view/hroperation-unit-tab-exp-view.vue'));
        Vue.component('hrlanguage-ability-grid-view', () => import('@pages/human-resource/hrlanguage-ability-grid-view/hrlanguage-ability-grid-view.vue'));
        Vue.component('hrorg-address-grid-view', () => import('@pages/base/hrorg-address-grid-view/hrorg-address-grid-view.vue'));
        Vue.component('hrreward-edit-view', () => import('@pages/human-resource/hrreward-edit-view/hrreward-edit-view.vue'));
        Vue.component('hrduty-cert-v-001', () => import('@pages/human-resource/hrduty-cert-v-001/hrduty-cert-v-001.vue'));
        Vue.component('hrcertificate-v-004', () => import('@pages/human-resource/hrcertificate-v-004/hrcertificate-v-004.vue'));
        Vue.component('hrarchives-move-grid-view', () => import('@pages/human-resource/hrarchives-move-grid-view/hrarchives-move-grid-view.vue'));
        Vue.component('hrlegal-dashboard-view', () => import('@pages/base/hrlegal-dashboard-view/hrlegal-dashboard-view.vue'));
        Vue.component('hrlegal-v-001', () => import('@pages/base/hrlegal-v-001/hrlegal-v-001.vue'));
        Vue.component('hrwork-record-grid-view', () => import('@pages/human-resource/hrwork-record-grid-view/hrwork-record-grid-view.vue'));
        Vue.component('hrduty-skill-grid-view', () => import('@pages/human-resource/hrduty-skill-grid-view/hrduty-skill-grid-view.vue'));
        Vue.component('hrtransfer-apply-tab-exp-view', () => import('@pages/pcm/hrtransfer-apply-tab-exp-view/hrtransfer-apply-tab-exp-view.vue'));
        Vue.component('hrtransfer-apply-v-003', () => import('@pages/pcm/hrtransfer-apply-v-003/hrtransfer-apply-v-003.vue'));
        Vue.component('hrpost-dashboard-view', () => import('@pages/human-resource/hrpost-dashboard-view/hrpost-dashboard-view.vue'));
        Vue.component('hrorg-address-edit-view', () => import('@pages/base/hrorg-address-edit-view/hrorg-address-edit-view.vue'));
        Vue.component('hrtransfer-apply-edit-view', () => import('@pages/pcm/hrtransfer-apply-edit-view/hrtransfer-apply-edit-view.vue'));
        Vue.component('hrduty-skill-v-001', () => import('@pages/human-resource/hrduty-skill-v-001/hrduty-skill-v-001.vue'));
        Vue.component('hrduty-dashboard-view', () => import('@pages/human-resource/hrduty-dashboard-view/hrduty-dashboard-view.vue'));
        Vue.component('hrfamily-grid-view', () => import('@pages/human-resource/hrfamily-grid-view/hrfamily-grid-view.vue'));
        Vue.component('hrdistribution-v-002', () => import('@pages/human-resource/hrdistribution-v-002/hrdistribution-v-002.vue'));
        Vue.component('hromhierarchy-pickup-view', () => import('@pages/base/hromhierarchy-pickup-view/hromhierarchy-pickup-view.vue'));
        Vue.component('hrcertificate-grid-view', () => import('@pages/human-resource/hrcertificate-grid-view/hrcertificate-grid-view.vue'));
        Vue.component('hrtransfer-apply-usr2-wfdyna-edit-view', () => import('@pages/pcm/hrtransfer-apply-usr2-wfdyna-edit-view/hrtransfer-apply-usr2-wfdyna-edit-view.vue'));
        Vue.component('hrpost-tab-exp-view', () => import('@pages/human-resource/hrpost-tab-exp-view/hrpost-tab-exp-view.vue'));
        Vue.component('hrlegal-tab-exp-view', () => import('@pages/base/hrlegal-tab-exp-view/hrlegal-tab-exp-view.vue'));
        Vue.component('hreducation-option-view', () => import('@pages/human-resource/hreducation-option-view/hreducation-option-view.vue'));
        Vue.component('hrtraining-record-grid-view', () => import('@pages/human-resource/hrtraining-record-grid-view/hrtraining-record-grid-view.vue'));
        Vue.component('hroperation-unit-dashboard-view', () => import('@pages/base/hroperation-unit-dashboard-view/hroperation-unit-dashboard-view.vue'));
        Vue.component('hrtechnical-title-v-005', () => import('@pages/human-resource/hrtechnical-title-v-005/hrtechnical-title-v-005.vue'));
        Vue.component('hrtechnical-title-grid-view', () => import('@pages/human-resource/hrtechnical-title-grid-view/hrtechnical-title-grid-view.vue'));
        Vue.component('hrresearch-edit-view', () => import('@pages/human-resource/hrresearch-edit-view/hrresearch-edit-view.vue'));
        Vue.component('hromhierarchy-edit-view', () => import('@pages/base/hromhierarchy-edit-view/hromhierarchy-edit-view.vue'));
        Vue.component('hrtransfer-apply-v-006', () => import('@pages/pcm/hrtransfer-apply-v-006/hrtransfer-apply-v-006.vue'));
        Vue.component('hrpost-rel-grid-view', () => import('@pages/human-resource/hrpost-rel-grid-view/hrpost-rel-grid-view.vue'));
        Vue.component('hromhierarchy-cat-edit-view', () => import('@pages/base/hromhierarchy-cat-edit-view/hromhierarchy-cat-edit-view.vue'));
        Vue.component('hrorg-contact-edit-view', () => import('@pages/base/hrorg-contact-edit-view/hrorg-contact-edit-view.vue'));
        Vue.component('hrfamily-edit-view', () => import('@pages/human-resource/hrfamily-edit-view/hrfamily-edit-view.vue'));
        Vue.component('hromhierarchy-cat-v-002', () => import('@pages/base/hromhierarchy-cat-v-002/hromhierarchy-cat-v-002.vue'));
        Vue.component('hrdistribution-grid-view', () => import('@pages/human-resource/hrdistribution-grid-view/hrdistribution-grid-view.vue'));
        Vue.component('hrarchives-v-001', () => import('@pages/human-resource/hrarchives-v-001/hrarchives-v-001.vue'));
        Vue.component('hrarchives-edit-view', () => import('@pages/human-resource/hrarchives-edit-view/hrarchives-edit-view.vue'));
        Vue.component('hromhierarchy-pickup-grid-view', () => import('@pages/base/hromhierarchy-pickup-grid-view/hromhierarchy-pickup-grid-view.vue'));
        Vue.component('hrarchives-v-003', () => import('@pages/human-resource/hrarchives-v-003/hrarchives-v-003.vue'));
        Vue.component('hrcertificate-tab-exp-view', () => import('@pages/human-resource/hrcertificate-tab-exp-view/hrcertificate-tab-exp-view.vue'));
        Vue.component('hrdistribution-v-001', () => import('@pages/human-resource/hrdistribution-v-001/hrdistribution-v-001.vue'));
        Vue.component('hrtransfer-apply-v-004', () => import('@pages/pcm/hrtransfer-apply-v-004/hrtransfer-apply-v-004.vue'));
        Vue.component('hrcertificate-v-003', () => import('@pages/human-resource/hrcertificate-v-003/hrcertificate-v-003.vue'));
        Vue.component('hrtechnical-title-edit-view', () => import('@pages/human-resource/hrtechnical-title-edit-view/hrtechnical-title-edit-view.vue'));
        Vue.component('hrarchives-borrow-v-002', () => import('@pages/human-resource/hrarchives-borrow-v-002/hrarchives-borrow-v-002.vue'));
    }
};